> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# salesource

> MDO list provider for the source list of the Sale dialog. This list extends the basic <see cref="!:SourceRow" /> list with icons

## "salesource" MDO List

MDO list provider for the source list of the Sale dialog.
This list extends the basic <see cref="!:SourceRow" /> list with icons

Implemented by the <see cref="T:SuperOffice.CRM.Lists.SaleSource">SaleSource</see> class.
The name of the MDO list is 'salesource'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/salesource
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("salesource", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name        | StyleHint | ExtraInfo |
| -- | ----------- | --------- | --------- |
| 1  | Aktivt salg |           |           |
| 4  | Annbefaling |           |           |
| 2  | Campaign    |           |           |
| 3  | Internet    |           |           |

## Related MDO Lists

* "salesourceheadings"
* "salesourceheadingswithallitem"
* "salesourceheadingswithallitemwithnoselection"
* "salesourceheadingswithnoselection"
* "salesourcewithallitem"
* "salesourcewithallitemwithnoselection"
* "salesourcewithnoselection"


## Related topics

- [NewsFeedItem](/en/api/archive-providers/reference/newsfeeditem.md)
- [FindDocument](/en/api/archive-providers/reference/finddocument.md)
- [DocumentShadowDynamicSelectionSingleCriteriaGroup](/en/api/archive-providers/reference/documentshadowdynamicselectionsinglecriteriagroup.md)
- [Document](/en/api/archive-providers/reference/document.md)
- [DocumentDynamicSelectionSingleCriteriaGroup](/en/api/archive-providers/reference/documentdynamicselectionsinglecriteriagroup.md)
- [SimpleDocument](/en/api/archive-providers/reference/simpledocument.md)
